## suil 0.10.10

=== wscript ===
#!/usr/bin/env python

from waflib import Build, Logs, Options, TaskGen
from waflib.extras import autowaf

# Semver package/library version
SUIL_VERSION       = '0.10.10'
SUIL_MAJOR_VERSION = SUIL_VERSION[0:SUIL_VERSION.find('.')]

# Mandatory waf variables
APPNAME = 'suil'        # Package name for waf dist
VERSION = SUIL_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/suil'
dist_pattern = 'http://download.drobilla.net/suil-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'LV2', 'Suil']


def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    opt = ctx.configuration_options()

    opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                   default="libgtk-x11-2.0.so.0",
                   help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")
    opt.add_option('--gtk3-lib-name', type='string', dest='gtk3_lib_name',
                   default="libgtk-x11-3.0.so.0",
                   help="Gtk3 library name [Default: libgtk-x11-3.0.so.0]")

    ctx.add_flags(
        opt,
        {'static':    'build static library',
         'no-shared': 'do not build shared library',
         'no-cocoa':  'do not build support for Cocoa/Quartz',
         'no-gtk':    'do not build support for Gtk',
         'no-qt':     'do not build support for Qt (any version)',
         'no-qt4':    'do not build support for Qt4',
         'no-qt5':    'do not build support for Qt5',
         'no-x11':    'do not build support for X11'})


def configure(conf):
    conf.load('compiler_c', cache=True)
    conf.load('compiler_cxx', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.env.BUILD_SHARED = not conf.options.no_shared
    conf.env.BUILD_STATIC = conf.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    if conf.env.DOCS:
        conf.load('sphinx')

    if Options.options.strict:
        # Check for programs used by lint target
        conf.find_program("flake8", var="FLAKE8", mandatory=False)
        conf.find_program("clang-tidy", var="CLANG_TIDY", mandatory=False)
        conf.find_program("iwyu_tool", var="IWYU_TOOL", mandatory=False)

    if Options.options.ultra_strict:
        autowaf.add_compiler_flags(conf.env, '*', {
            'gcc': [
                '-Wno-padded',
                '-Wno-suggest-attribute=const',
                '-Wno-suggest-attribute=pure',
            ],
            'clang': [
                '-Wno-atomic-implicit-seq-cst',
                '-Wno-cast-qual',
                '-Wno-disabled-macro-expansion',
                '-Wno-padded',
                '-Wno-variadic-macros',
            ]
        })

        autowaf.add_compiler_flags(conf.env, 'c', {
            'msvc': [
                '/wd4514',  # unreferenced inline function has been removed
                '/wd4820',  # padding added after construct
                '/wd4191',  # unsafe function conversion
                '/wd5045',  # will insert Spectre mitigation for memory load
            ],
        })

        autowaf.add_compiler_flags(conf.env, 'cxx', {
            'clang': [
                '-Wno-old-style-cast',
                '-Wno-zero-as-null-pointer-constant',
            ],
        })

    conf.env.NODELETE_FLAGS = []
    if (not conf.env.MSVC_COMPILER and
        conf.check(linkflags = ['-Wl,-z,nodelete'],
                   msg       = 'Checking for link flags -Wl,-z,-nodelete',
                   mandatory = False)):
        conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']

    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')

    if not conf.options.no_x11:
        conf.check_pkg('x11', uselib_store='X11', system=True, mandatory=False)

    def enable_module(var_name):
        conf.env[var_name] = 1

    if not conf.options.no_gtk:
        conf.check_pkg('gtk+-2.0 >= 2.18.0',
                       uselib_store='GTK2',
                       system=True,
                       mandatory=False)
        if not conf.env.HAVE_GTK2:
            conf.check_pkg('gtk+-2.0',
                           uselib_store='GTK2',
                           system=True,
                           mandatory=False)
            if conf.env.HAVE_GTK2:
                conf.define('SUIL_OLD_GTK', 1)

        if not conf.options.no_x11:
            conf.check_pkg('gtk+-x11-2.0',
                           uselib_store='GTK2_X11',
                           system=True,
                           mandatory=False)

        if not conf.options.no_cocoa:
            conf.check_pkg('gtk+-quartz-2.0',
                           uselib_store='GTK2_QUARTZ',
                           system=True,
                           mandatory=False)

        conf.check_pkg('gtk+-3.0 >= 3.14.0',
                       uselib_store='GTK3',
                       system=True,
                       mandatory=False)

        if not conf.options.no_x11:
            conf.check_pkg('gtk+-x11-3.0 >= 3.14.0',
                           uselib_store='GTK3_X11',
                           system=True,
                           mandatory=False)

    if not conf.options.no_qt:
        if not conf.options.no_qt4:
            conf.check_pkg('QtGui >= 4.4.0',
                           uselib_store='QT4',
                           system=True,
                           mandatory=False)

        if not conf.options.no_qt5:
            conf.check_pkg('Qt5Widgets >= 5.1.0',
                           uselib_store='QT5',
                           system=True,
                           mandatory=False)

            if not conf.options.no_x11:
                conf.check_pkg('Qt5X11Extras >= 5.1.0',
                               uselib_store='QT5_X11',
                               system=True,
                               mandatory=False)

            if not conf.options.no_cocoa:
                if conf.check_cxx(header_name = 'QMacCocoaViewContainer',
                                  uselib      = 'QT5_COCOA',
                                  system=True,
                                  mandatory   = False):
                    enable_module('SUIL_WITH_COCOA_IN_QT5')

    conf.check_cc(define_name   = 'HAVE_LIBDL',
                  lib           = 'dl',
                  mandatory     = False)

    conf.define('SUIL_MODULE_DIR',
                conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)

    conf.define('SUIL_GTK2_LIB_NAME', conf.options.gtk2_lib_name)
    conf.define('SUIL_GTK3_LIB_NAME', conf.options.gtk3_lib_name)

    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT4:
        enable_module('SUIL_WITH_QT4_IN_GTK2')
        if conf.env.HAVE_GTK2_X11:
            enable_module('SUIL_WITH_GTK2_IN_QT4')

    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT5:
        enable_module('SUIL_WITH_GTK2_IN_QT5')
        enable_module('SUIL_WITH_QT5_IN_GTK2')

    if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_X11:
        enable_module('SUIL_WITH_X11_IN_GTK2')

    if conf.env.HAVE_GTK3 and conf.env.HAVE_GTK3_X11:
        enable_module('SUIL_WITH_X11_IN_GTK3')

    if conf.env.HAVE_GTK3 and conf.env.HAVE_QT5:
        enable_module('SUIL_WITH_QT5_IN_GTK3')

    if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_QUARTZ:
        enable_module('SUIL_WITH_COCOA_IN_GTK2')

    if conf.env.HAVE_GTK2 and conf.env.DEST_OS == 'win32':
        enable_module('SUIL_WITH_WIN_IN_GTK2')

    if conf.env.HAVE_QT4:
        enable_module('SUIL_WITH_X11_IN_QT4')

    if conf.env.HAVE_QT5 and conf.env.HAVE_QT5_X11:
        enable_module('SUIL_WITH_X11_IN_QT5')

    if conf.env.HAVE_X11:
        enable_module('SUIL_WITH_X11')

    conf.run_env.append_unique('SUIL_MODULE_DIR', [conf.build_path()])

    # Set up environment for building/using as a subproject
    autowaf.set_lib_env(conf, 'suil', SUIL_VERSION,
                        include_path=str(conf.path.find_node('include')))

    conf.define('SUIL_NO_DEFAULT_CONFIG', 1)

    autowaf.display_summary(
        conf,
        {'Static library': bool(conf.env.BUILD_STATIC),
         'Shared library': bool(conf.env.BUILD_SHARED)})

    if conf.env.HAVE_GTK2:
        autowaf.display_msg(conf, "Gtk2 Library Name",
                            conf.get_define('SUIL_GTK2_LIB_NAME'))
    if conf.env.HAVE_GTK3:
        autowaf.display_msg(conf, "Gtk3 Library Name",
                            conf.get_define('SUIL_GTK3_LIB_NAME'))

    # Print summary message for every potentially supported wrapper
    wrappers = [('cocoa', 'gtk2'),
                ('gtk2', 'qt4'),
                ('gtk2', 'qt5'),
                ('qt4', 'gtk2'),
                ('qt5', 'gtk2'),
                ('win', 'gtk2'),
                ('x11', 'gtk2'),
                ('x11', 'gtk3'),
                ('qt5', 'gtk3'),
                ('x11', 'qt4'),
                ('x11', 'qt5'),
                ('cocoa', 'qt5')]
    for w in wrappers:
        var = 'SUIL_WITH_%s_IN_%s' % (w[0].upper(), w[1].upper())
        autowaf.display_msg(conf, 'Support for %s in %s' % (w[0], w[1]),
                            bool(conf.env[var]))


def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/suil-%s/suil' % SUIL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('include/suil/*.h'))
    TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cc']

    # Pkgconfig file
    autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                     {'SUIL_MAJOR_VERSION': SUIL_MAJOR_VERSION,
                      'SUIL_PKG_DEPS': 'lv2'})

    cflags = []
    lib    = []
    modlib = []
    if bld.env.DEST_OS == 'win32':
        modlib += ['user32']
    else:
        cflags += ['-fvisibility=hidden']
        if bld.is_defined('HAVE_LIBDL'):
            lib    += ['dl']
            modlib += ['dl']

    module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

    # Shared Library
    if bld.env.BUILD_SHARED:
        bld(features        = 'c cshlib',
            export_includes = ['include'],
            source          = 'src/host.c src/instance.c',
            target          = 'suil-%s' % SUIL_MAJOR_VERSION,
            includes        = ['.', 'include'],
            defines         = ['SUIL_INTERNAL'],
            name            = 'libsuil',
            vnum            = SUIL_VERSION,
            install_path    = '${LIBDIR}',
            cflags          = cflags,
            lib             = lib,
            uselib          = 'LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        bld(features        = 'c cstlib',
            export_includes = ['include'],
            source          = 'src/host.c src/instance.c',
            target          = 'suil-%s' % SUIL_MAJOR_VERSION,
            includes        = ['.', 'include'],
            defines         = ['SUIL_STATIC', 'SUIL_INTERNAL'],
            name            = 'libsuil_static',
            vnum            = SUIL_VERSION,
            install_path    = '${LIBDIR}',
            cflags          = cflags,
            lib             = lib,
            uselib          = 'LV2')

    if bld.env.SUIL_WITH_GTK2_IN_QT4:
        bld(features     = 'cxx cxxshlib',
            source       = 'src/gtk2_in_qt4.cpp',
            target       = 'suil_gtk2_in_qt4',
            includes     = ['.', 'include'],
            defines      = ['SUIL_INTERNAL'],
            install_path = module_dir,
            cxxflags     = cflags,
            lib          = modlib,
            uselib       = 'GTK2 QT4 LV2')

    if bld.env.SUIL_WITH_GTK2_IN_QT5:
        bld(features     = 'cxx cxxshlib',
            source       = 'src/gtk2_in_qt5.cpp',
            target       = 'suil_gtk2_in_qt5',
            includes     = ['.', 'include'],
            defines      = ['SUIL_INTERNAL'],
            install_path = module_dir,
            cxxflags     = cflags,

=== doc/c/wscript ===
#!/usr/bin/env python

def build(bld):
    dox_to_sphinx = bld.path.find_node("../../scripts/dox_to_sphinx.py")
    index_xml = bld.path.get_bld().make_node("xml/index.xml")

    files = [
        ("../suil.rst", "sphinx/suil.rst"),
        ("index.rst", "sphinx/index.rst"),
        ("overview.rst", "sphinx/overview.rst"),
        ("reference.rst", "sphinx/reference.rst"),
    ]

    # Run Doxygen to generate XML documentation
    bld(features="doxygen", doxyfile="Doxyfile")

    # Substitute variables to make Sphinx configuration file
    bld(features="subst",
        source="../conf.py.in",
        target="sphinx/conf.py",
        SERD_VERSION=bld.env.SERD_VERSION)

    # Copy static documentation files to Sphinx build directory
    for f in files:
        bld(features="subst", is_copy=True, source=f[0], target=f[1])

    # Generate Sphinx markup from Doxygen XML
    bld.add_group()
    bld(rule="${PYTHON} " + dox_to_sphinx.abspath() + " -f ${SRC} ${TGT}",
        source=index_xml,
        target="sphinx/api/")

    # Run Sphinx to generate HTML documentation
    doc_dir = bld.env.DOCDIR + "/suil-%s/" % bld.env.SUIL_MAJOR_VERSION
    bld(features="sphinx",
        sphinx_source=bld.path.get_bld().make_node("sphinx"),
        sphinx_output_format="singlehtml",
        sphinx_options=["-E", "-q", "-t", "singlehtml"],
        install_path=doc_dir + "c/singlehtml/")

=== debian/changelog ===
suil (0.10.10-1) UNRELEASED; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Mon, 16 May 2022 20:23:23 +0800

suil (0.10.10-1) unstable; urgency=medium

  * New upstream version 0.10.10
  * d/watch: Update pgpsigurlmangle for asc files
  * Bump S-V to 4.5.1, no changes needed

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jan 2021 22:34:55 +0100

=== debian/control ===
Source: suil
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 libgtk2.0-dev,
 libgtk-3-dev,
 libqt5x11extras5-dev,
 lv2-dev (>= 1.16),
 qtbase5-dev,
 qttools5-dev-tools,
 pkg-config,
 python3
Standards-Version: 4.5.1
Homepage: https://drobilla.net/software/suil/
Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
Rules-Requires-Root: no

Package: libsuil-dev
Section: libdevel
Architecture: any
Depends:
 libsuil-0-0 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 pkg-config
Multi-Arch: same
Description: Development files for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and QT5
 .
 This package provides the development files for suil.

Package: libsuil-0-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${shlibs:Recommends}
Multi-Arch: same
Description: library for loading and wrapping LV2 plugin UIs
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and QT5
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export CC
export PKGCONFIG = $(PKG_CONFIG)

WAF = python3 ./waf

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_shlibdeps:
	dh_shlibdeps -X libsuil_ -- \
		-dRecommends $(wildcard debian/libsuil-0-0/usr/lib/$(DEB_HOST_MULTIARCH)/suil-0/*.so) \
		-dDepends

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://download.drobilla.net/suil-(.*)\.tar\.bz2

## suil 0.10.12

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 from waflib.extras import autowaf
 
 # Semver package/library version
-SUIL_VERSION       = '0.10.10'
+SUIL_VERSION       = '0.10.12'
 SUIL_MAJOR_VERSION = SUIL_VERSION[0:SUIL_VERSION.find('.')]
 
 # Mandatory waf variables
@@ -38,7 +38,6 @@
          'no-cocoa':  'do not build support for Cocoa/Quartz',
          'no-gtk':    'do not build support for Gtk',
          'no-qt':     'do not build support for Qt (any version)',
-         'no-qt4':    'do not build support for Qt4',
          'no-qt5':    'do not build support for Qt5',
          'no-x11':    'do not build support for X11'})
 
@@ -72,11 +71,9 @@
                 '-Wno-suggest-attribute=pure',
             ],
             'clang': [
-                '-Wno-atomic-implicit-seq-cst',
                 '-Wno-cast-qual',
                 '-Wno-disabled-macro-expansion',
                 '-Wno-padded',
-                '-Wno-variadic-macros',
             ]
         })
 
@@ -89,13 +86,6 @@
             ],
         })
 
-        autowaf.add_compiler_flags(conf.env, 'cxx', {
-            'clang': [
-                '-Wno-old-style-cast',
-                '-Wno-zero-as-null-pointer-constant',
-            ],
-        })
-
     conf.env.NODELETE_FLAGS = []
     if (not conf.env.MSVC_COMPILER and
         conf.check(linkflags = ['-Wl,-z,nodelete'],
@@ -148,12 +138,6 @@
                            mandatory=False)
 
     if not conf.options.no_qt:
-        if not conf.options.no_qt4:
-            conf.check_pkg('QtGui >= 4.4.0',
-                           uselib_store='QT4',
-                           system=True,
-                           mandatory=False)
-
         if not conf.options.no_qt5:
             conf.check_pkg('Qt5Widgets >= 5.1.0',
                            uselib_store='QT5',
@@ -183,11 +167,6 @@
     conf.define('SUIL_GTK2_LIB_NAME', conf.options.gtk2_lib_name)
     conf.define('SUIL_GTK3_LIB_NAME', conf.options.gtk3_lib_name)
 
-    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT4:
-        enable_module('SUIL_WITH_QT4_IN_GTK2')
-        if conf.env.HAVE_GTK2_X11:
-            enable_module('SUIL_WITH_GTK2_IN_QT4')
-
     if conf.env.HAVE_GTK2 and conf.env.HAVE_QT5:
         enable_module('SUIL_WITH_GTK2_IN_QT5')
         enable_module('SUIL_WITH_QT5_IN_GTK2')
@@ -198,7 +177,7 @@
     if conf.env.HAVE_GTK3 and conf.env.HAVE_GTK3_X11:
         enable_module('SUIL_WITH_X11_IN_GTK3')
 
-    if conf.env.HAVE_GTK3 and conf.env.HAVE_QT5:
+    if conf.env.HAVE_GTK3 and conf.env.HAVE_GTK3_X11 and conf.env.HAVE_QT5:
         enable_module('SUIL_WITH_QT5_IN_GTK3')
 
     if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_QUARTZ:
@@ -206,9 +185,6 @@
 
     if conf.env.HAVE_GTK2 and conf.env.DEST_OS == 'win32':
         enable_module('SUIL_WITH_WIN_IN_GTK2')
-
-    if conf.env.HAVE_QT4:
-        enable_module('SUIL_WITH_X11_IN_QT4')
 
     if conf.env.HAVE_QT5 and conf.env.HAVE_QT5_X11:
         enable_module('SUIL_WITH_X11_IN_QT5')
@@ -238,15 +214,12 @@
 
     # Print summary message for every potentially supported wrapper
     wrappers = [('cocoa', 'gtk2'),
-                ('gtk2', 'qt4'),
                 ('gtk2', 'qt5'),
-                ('qt4', 'gtk2'),
                 ('qt5', 'gtk2'),
                 ('win', 'gtk2'),
                 ('x11', 'gtk2'),
                 ('x11', 'gtk3'),
                 ('qt5', 'gtk3'),
-                ('x11', 'qt4'),
                 ('x11', 'qt5'),
                 ('cocoa', 'qt5')]
     for w in wrappers:
@@ -309,17 +282,6 @@
             lib             = lib,
             uselib          = 'LV2')
 
-    if bld.env.SUIL_WITH_GTK2_IN_QT4:
-        bld(features     = 'cxx cxxshlib',
-            source       = 'src/gtk2_in_qt4.cpp',
-            target       = 'suil_gtk2_in_qt4',
-            includes     = ['.', 'include'],
-            defines      = ['SUIL_INTERNAL'],
-            install_path = module_dir,
-            cxxflags     = cflags,
-            lib          = modlib,
-            uselib       = 'GTK2 QT4 LV2')
-
     if bld.env.SUIL_WITH_GTK2_IN_QT5:
         bld(features     = 'cxx cxxshlib',
             source       = 'src/gtk2_in_qt5.cpp',
@@ -328,3 +290,36 @@
             defines      = ['SUIL_INTERNAL'],
             install_path = module_dir,
             cxxflags     = cflags,
+            lib          = modlib,
+            uselib       = 'GTK2 QT5 LV2')
+
+    if bld.env.SUIL_WITH_QT5_IN_GTK2:
+        bld(features     = 'cxx cxxshlib',
+            source       = 'src/qt5_in_gtk.cpp',
+            target       = 'suil_qt5_in_gtk2',
+            includes     = ['.', 'include'],
+            defines      = ['SUIL_INTERNAL'],
+            install_path = module_dir,
+            cxxflags     = cflags,
+            lib          = modlib,
+            uselib       = 'GTK2 QT5 LV2',
+            linkflags    = bld.env.NODELETE_FLAGS)
+
+    if bld.env.SUIL_WITH_X11_IN_GTK2:
+        bld(features     = 'c cshlib',
+            source       = 'src/x11_in_gtk2.c',
+            target       = 'suil_x11_in_gtk2',
+            includes     = ['.', 'include'],
+            defines      = ['SUIL_INTERNAL'],
+            install_path = module_dir,
+            cflags       = cflags,
+            lib          = modlib + ['X11'],
+            uselib       = 'GTK2 GTK2_X11 LV2',
+            linkflags    = bld.env.NODELETE_FLAGS)
+
+    if bld.env.SUIL_WITH_X11_IN_GTK3:
+        bld(features     = 'c cshlib',
+            source       = 'src/x11_in_gtk3.c',
+            target       = 'suil_x11_in_gtk3',
+            includes     = ['.', 'include'],
+            defines      = ['SUIL_INTERNAL'],

=== debian/changelog ===
suil (0.10.12-1) unstable; urgency=medium

  * New upstream version 0.10.12
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself
  * d/rules: Remove unneeded linker flags
  * Add salsa ci config
  * d/watch: Set pgpmode=auto

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 May 2022 23:51:07 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  qttools5-dev-tools,
  pkg-config,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export CC
 export PKGCONFIG = $(PKG_CONFIG)

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/suil-(.*)\.tar\.bz2

## suil 0.10.18

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('cocoa', type: 'feature', value: 'auto', yield: true,
       description : 'Build Cocoa wrappers')

option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('gtk2', type: 'feature', value: 'auto', yield: true,
       description : 'Build Gtk2 wrappers')

option('gtk3', type: 'feature', value: 'auto', yield: true,
       description : 'Build Gtk3 wrappers')

option('qt5', type: 'feature', value: 'auto', yield: true,
       description : 'Build Qt5 wrappers')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Suil',
       description: 'Project title')

option('x11', type: 'feature', value: 'auto', yield: true,
       description : 'Build X11 wrappers')

=== debian/changelog ===
suil (0.10.18-1) unstable; urgency=medium

  * New upstream version 0.10.18
  * d/watch: Check for .gz and .xz files too
  * Build with meson
  * Remove obsolete d/clean
  * d/copyright: Remove waf entry and BSD license, and update copyright year
  * d/gbp.conf: Remove wrong compression
  * Add d/libsuil-0-0.lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 23 Sep 2022 15:57:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libgtk-3-dev,
  libqt5x11extras5-dev,
  lv2-dev (>= 1.16),
+ meson,
  qtbase5-dev,
  qttools5-dev-tools,
  pkg-config,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export CC
export PKGCONFIG = $(PKG_CONFIG)

CONFIG += docs strict

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_shlibdeps:
	dh_shlibdeps -X libsuil_ -- \
		-dRecommends $(wildcard debian/libsuil-0-0/usr/lib/$(DEB_HOST_MULTIARCH)/suil-0/*.so) \
		-dDepends

## suil 0.10.20

=== debian/changelog ===
suil (0.10.20-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:37:34 +0100

suil (0.10.20-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.10.20
  * debian/: Remove left-overs from waf
  * debian/control:
    - Bump Standards-Version
    - Update Description

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libqt5x11extras5-dev,
  lv2-dev (>= 1.16),
  meson,
+ ninja-build,
  qtbase5-dev,
  qttools5-dev-tools,
  pkg-config,
- python3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
@@ -41,7 +41,7 @@
  is designed such that hosts do not need to explicitly support
  particular toolkits whatsoever - if Suil supports a particular
  toolkit, then all hosts that use Suil will support that toolkit
- "for free". Suil currently supports GTK-2+ and QT5
+ "for free". Suil currently supports Gtk3 and Qt5.
  .
  This package provides the development files for suil.
 
@@ -62,6 +62,6 @@
  is designed such that hosts do not need to explicitly support
  particular toolkits whatsoever - if Suil supports a particular
  toolkit, then all hosts that use Suil will support that toolkit
- "for free". Suil currently supports GTK-2+ and QT5
+ "for free". Suil currently supports Gtk3 and Qt5.
  .
  This package provides the shared library.

## suil 0.10.22

=== meson_options.txt ===
# Copyright 2021-2023 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('cocoa', type: 'feature', yield: true,
       description : 'Build Cocoa wrappers')

option('docs', type: 'feature', yield: true,
       description: 'Build documentation')

option('gtk2', type: 'feature', yield: true,
       description : 'Build Gtk2 wrappers')

option('gtk3', type: 'feature', yield: true,
       description : 'Build Gtk3 wrappers')

option('html', type: 'feature', yield: true,
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false, yield: true,
       description: 'Run code quality checks')

option('qt5', type: 'feature', yield: true,
       description : 'Build Qt5 wrappers')

option('qt6', type: 'feature', yield: true,
       description : 'Build Qt6 wrappers')

option('singlehtml', type: 'feature', yield: true,
       description: 'Build single-page HTML documentation')

option('tests', type: 'feature', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Suil',
       description: 'Project title')

option('x11', type: 'feature', yield: true,
       description : 'Build X11 wrappers')

=== debian/changelog ===
suil (0.10.22-1) unstable; urgency=medium

  * New upstream version 0.10.22
  * pkg-config => pkgconf
  * Drop gtk2 support (Closes: #967760)
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years and add files licensed under 0BSD license

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 15:44:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
- libgtk2.0-dev,
  libgtk-3-dev,
  libqt5x11extras5-dev,
  lv2-dev (>= 1.16),
@@ -16,8 +15,8 @@
  ninja-build,
  qtbase5-dev,
  qttools5-dev-tools,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
@@ -30,7 +29,7 @@
  libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Recommends:
- pkg-config
+ pkgconf
 Multi-Arch: same
 Description: Development files for suil
  Suil makes it possible to load a UI of any toolkit in a host using

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_shlibdeps:
	dh_shlibdeps -X libsuil_ -- \
		-dRecommends $(wildcard debian/libsuil-0-0/usr/lib/$(DEB_HOST_MULTIARCH)/suil-0/*.so) \
		-dDepends

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/suil-(.*)\.(?:tar\.(?:gz|bz2|xz))

## suil 0.10.24

=== meson_options.txt ===
# Copyright 2021-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('cocoa', type: 'feature',
       description : 'Build Cocoa wrappers')

option('docs', type: 'feature',
       description: 'Build documentation')

option('gtk2', type: 'feature',
       description : 'Build Gtk2 wrappers')

option('gtk3', type: 'feature',
       description : 'Build Gtk3 wrappers')

option('html', type: 'feature',
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('qt5', type: 'feature',
       description : 'Build Qt5 wrappers')

option('qt6', type: 'feature',
       description : 'Build Qt6 wrappers')

option('singlehtml', type: 'feature',
       description: 'Build single-page HTML documentation')

option('tests', type: 'feature',
       description: 'Build tests')

option('title', type: 'string', value: 'Suil',
       description: 'Project title')

option('x11', type: 'feature',
       description : 'Build X11 wrappers')

=== debian/changelog ===
suil (0.10.24-1) unstable; urgency=medium

  * New upstream version 0.10.24
  * Change my email address
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Tue, 18 Nov 2025 16:21:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libgtk-3-dev,
@@ -16,11 +16,10 @@
  qtbase5-dev,
  qttools5-dev-tools,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
-Rules-Requires-Root: no
 
 Package: libsuil-dev
 Section: libdevel

## suil 0.10.26

=== debian/changelog ===
suil (0.10.26-1) unstable; urgency=medium

  * New upstream version 0.10.26
  * Remove redundant-priority-optional-field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years
  * Remove obsolete d/libsuil-0-0.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sun, 01 Mar 2026 19:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: suil
 Section: libs
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
@@ -16,7 +15,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
